#ifndef TSP_H
#define TSP_H

#include <stdbool.h>

typedef struct TSP {
	char* name;
	char* comment;
	int nCities;
	double* dists;
	int nDims;
	double* coords;
} TSP;

typedef struct Route {
	int n;
	int* order;
	int* position;
	bool reverse;
} Route;

typedef struct Graph {
	int n;
	double* dists;
} Graph;


#endif
